# HG changeset patch
# User Noe Gaumont <ngaumont@logilab.fr>
# Date 1623943408 -7200
#      Thu Jun 17 17:23:28 2021 +0200
# Node ID 1b2849529f91a5b43dc4fb7740dd72375f96bf9b
# Parent  bd3d074fd5336b6aa003fa0388980827842ee58d
chore: check-docker-update

Before this patch, each patch version is build twice as the script output a package to be updgraded : cubicweb.
As the cubicweb package is mark as hold (see DockerFile), it will not be upgraded even with cache invalidation.

This patch intents to speed the build process

diff --git a/check-docker-updates.sh b/check-docker-updates.sh
--- a/check-docker-updates.sh
+++ b/check-docker-updates.sh
@@ -2,4 +2,6 @@
 
 set -e
 apt-get update >/dev/null
-apt list --upgradable 2>/dev/null | grep "upgradable from" && exit 1 || exit 0
+# Return true if at least one package EXCEPT cubicweb needs to be upgraded
+# cubicweb package is mark as hold in order to have container for each version (minor and patch)
+apt list --upgradable 2>/dev/null | grep "upgradable from" | grep --invert-match "cubicweb" && exit 1 || exit 0
# HG changeset patch
# User Noe Gaumont <ngaumont@logilab.fr>
# Date 1624002996 -7200
#      Fri Jun 18 09:56:36 2021 +0200
# Node ID ea7e60d8e067203cde792776ca81c0751c8950d4
# Parent  1b2849529f91a5b43dc4fb7740dd72375f96bf9b
feat: allow debug mode to ease developpement

diff --git a/entrypoint.sh b/entrypoint.sh
--- a/entrypoint.sh
+++ b/entrypoint.sh
@@ -27,7 +27,12 @@
 case "$1" in
     start)
         bootstrap
-        exec uwsgi --ini /etc/uwsgi/uwsgi.ini
+        # check that DEBUG is set whatever the value (even blanc) with +x
+        if [ ! -z ${DEBUG+x} ];  then
+          exec cubicweb-ctl pyramid -D -l info $CW_INSTANCE
+        else
+          exec uwsgi --ini /etc/uwsgi/uwsgi.ini
+        fi
         ;;
     upgrade)
         shift